HScreenLocationModifiedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HScreenLocationModifiedEvent

    java.lang.Object
      java.util.EventObject
          org.havi.ui.event.HScreenLocationModifiedEvent

All Implemented Interfaces:
  Serializable

    public class HScreenLocationModifiedEvent

extends EventObject

This event is generated by the system when a component is moved on-screen, rather than within a container.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

See Also:
  Serialized Form

Constructor Summary
`HScreenLocationModifiedEvent(Object source)` Creates an `HScreenLocationModifiedEvent` object.

Method Summary
`Object` | `getSource()` Returns the Component whose on-screen location has been modified.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HScreenLocationModifiedEvent

    public HScreenLocationModifiedEvent(Object source)

  Creates an `HScreenLocationModifiedEvent` object. See the class description for details of constructor parameters and default values.

  Parameters:
    `source` - the Component whose on-screen location has been modified.

Method Detail

### getSource

    public Object getSource()

  Returns the Component whose on-screen location has been modified.

  Overrides:
    `getSource` in class `EventObject`
  Returns:
    the Component whose on-screen location has been modified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD